<?php

namespace Myriad\Queue\Drivers\Google;

use Illuminate\Contracts\Queue\Queue;
use Illuminate\Queue\Connectors\ConnectorInterface;

class PubSubQueueConnector implements ConnectorInterface
{

    /**
     * Establish a queue connection.
     *
     * @param  array  $config
     * @return Queue
     */
    public function connect(array $config): Queue
    {
        return new PubSubQueue($config);
    }

}
